Get package tracking acknowledgement by order ID - Fabric
Get package tracking acknowledgement by order ID
cURL
curl --request PUT \
--url https://api.fabric.inc/v3/orders/{orderId}/actions/package-tracking-acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"eventType": "ORDER_CREATE_IN_PTS",
"attributes": {}
}
'```
### Python
```python
import requests
url = "https://api.fabric.inc/v3/orders/{orderId}/actions/package-tracking-acknowledge"
payload = {
"eventType": "ORDER_CREATE_IN_PTS",
"attributes": {}
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'PUT',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({eventType: 'ORDER_CREATE_IN_PTS', attributes: {}});
};
fetch('https://api.fabric.inc/v3/orders/{orderId}/actions/package-tracking-acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/orders/{orderId}/actions/package-tracking-acknowledge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'eventType' => 'ORDER_CREATE_IN_PTS',
'attributes' => []
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Example Responses
200 OK
{ "message": "OK" }400 Bad Request
{ "errors": [ { "message": "Invalid request", "type": "CLIENT_ERROR" } ], "message": "Bad request", "type": "CLIENT_ERROR" }401 Unauthorized
{ "message": "Unauthorized request", "type": "CLIENT_ERROR" }404 Not Found
{ "message": "An order with the specified order ID was not found", "type": "CLIENT_ERROR" }500 Internal Server Error
{ "message": "Internal server error", "type": "SERVER_ERROR" }
Authorization Headers
- Authorization:
Bearer <token>(required) - x-fabric-tenant-id:
<x-fabric-tenant-id>(required) - x-fabric-channel-id:
<x-fabric-channel-id>(required)
Body Parameters
- eventType:
ORDER_CREATE_IN_PTS(required) - attributes: custom attribute mappings.